Get protein metadata, sequence, and top SAE features
curl --request GET \
--url https://biohub.ai/esm/protein/api/v1alpha1/proteins/{protein_hash}import requests
url = "https://biohub.ai/esm/protein/api/v1alpha1/proteins/{protein_hash}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://biohub.ai/esm/protein/api/v1alpha1/proteins/{protein_hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://biohub.ai/esm/protein/api/v1alpha1/proteins/{protein_hash}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://biohub.ai/esm/protein/api/v1alpha1/proteins/{protein_hash}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://biohub.ai/esm/protein/api/v1alpha1/proteins/{protein_hash}")
.asString();require 'uri'
require 'net/http'
url = URI("https://biohub.ai/esm/protein/api/v1alpha1/proteins/{protein_hash}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"protein_hash": "<string>",
"header": "<string>",
"source": "<string>",
"accession": "<string>",
"sequence": "<string>",
"sequence_length": 123,
"ptm": 123,
"mean_plddt": 123,
"residues_plddt": [
123
],
"sae_features": [],
"protein_activations": {
"indices": [
[
123
]
],
"values": [
123
],
"shape": [
123
]
},
"per_residue_activations": {
"indices": [
[
123
]
],
"values": [
123
],
"shape": [
123
]
},
"pdb": "<string>",
"cluster_rep_protein_hash": "<string>",
"folded_on_demand": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Proteins
Get protein metadata, sequence, and top SAE features
Look up a protein by its MD5 hash and return its metadata, amino acid sequence, and top-activating SAE features.
GET
/
esm
/
protein
/
api
/
v1alpha1
/
proteins
/
{protein_hash}
Get protein metadata, sequence, and top SAE features
curl --request GET \
--url https://biohub.ai/esm/protein/api/v1alpha1/proteins/{protein_hash}import requests
url = "https://biohub.ai/esm/protein/api/v1alpha1/proteins/{protein_hash}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://biohub.ai/esm/protein/api/v1alpha1/proteins/{protein_hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://biohub.ai/esm/protein/api/v1alpha1/proteins/{protein_hash}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://biohub.ai/esm/protein/api/v1alpha1/proteins/{protein_hash}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://biohub.ai/esm/protein/api/v1alpha1/proteins/{protein_hash}")
.asString();require 'uri'
require 'net/http'
url = URI("https://biohub.ai/esm/protein/api/v1alpha1/proteins/{protein_hash}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"protein_hash": "<string>",
"header": "<string>",
"source": "<string>",
"accession": "<string>",
"sequence": "<string>",
"sequence_length": 123,
"ptm": 123,
"mean_plddt": 123,
"residues_plddt": [
123
],
"sae_features": [],
"protein_activations": {
"indices": [
[
123
]
],
"values": [
123
],
"shape": [
123
]
},
"per_residue_activations": {
"indices": [
[
123
]
],
"values": [
123
],
"shape": [
123
]
},
"pdb": "<string>",
"cluster_rep_protein_hash": "<string>",
"folded_on_demand": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Query Parameters
Response
Successful Response
Protein details: metadata, sequence, structure, and SAE features.